feature Lane reversal is tested.

Signed-off-by: Kerry She <kerry.she@amd.com>


Index: src/southbridge/amd/rs780/rs780_gfx.c
===================================================================
--- src/southbridge/amd/rs780/rs780_gfx.c	(revision 5690)
+++ src/southbridge/amd/rs780/rs780_gfx.c	(working copy)
@@ -1180,7 +1180,9 @@
 	case 0:
 		/* step 1, lane reversal (only need if CMOS option is enabled) */
 		if (cfg->gfx_lane_reversal) {
+			set_nbmisc_enable_bits(nb_dev, 0x36, 1 << 31, 1 << 31);
 			set_nbmisc_enable_bits(nb_dev, 0x33, 1 << 2, 1 << 2);
+			set_nbmisc_enable_bits(nb_dev, 0x36, 1 << 31, 0 << 31);
 		}
 		printk(BIOS_DEBUG, "rs780_gfx_init step1.\n");
 
@@ -1196,8 +1198,10 @@
 	case 1:
 		/* step 1, lane reversal (only need if CMOS option is enabled) */
 		if (cfg->gfx_lane_reversal) {
+			set_nbmisc_enable_bits(nb_dev, 0x36, 1 << 31, 1 << 31);
 			set_nbmisc_enable_bits(nb_dev, 0x33, 1 << 2, 1 << 2);
 			set_nbmisc_enable_bits(nb_dev, 0x33, 1 << 3, 1 << 3);
+			set_nbmisc_enable_bits(nb_dev, 0x36, 1 << 31, 0 << 31);
 		}
 		printk(BIOS_DEBUG, "rs780_gfx_init step1.\n");
 		/* step 1.1, dual-slot gfx configuration (only need if CMOS option is enabled) */
